.xc-button-container {
  border-radius: 15px;
  button.xc-button {
    padding: 2px;
    border-radius: 15px;
    border: solid 1px #a7aec3;
    background-color: white;
    font-family: "Open Sans", sans-serif;
    color: #424a51;
    cursor: pointer;
    &:focus {
      outline: none;
    }
    &:hover {
      -webkit-box-shadow: none;
      -moz-box-shadow: none;
      box-shadow: none;
      color: none;
    }
    &:active {
      box-shadow: none;
    }
    &.has-bg {
      border: none;
      background-image: linear-gradient(270deg, #cc3398 0%, #9902ff 100%);
      color: #ffffff;
      box-shadow: 1px 27px 17px -16px #c9d5e9;

      .xc-button-wrapper {
        .xc-button-icon-container {
          background: none;

          &:before {
            background-color: #ffffff;
          }
        }
      }
    }
    &.has-bg.disabled {
      border: none;
      background: #c7cee0;
      color: #ffffff;
      .xc-button-wrapper {
        .xc-button-icon-container {
          background: none;

          &:before {
            background-color: #ffffff;
          }
        }
      }
    }

    .xc-button-wrapper {
      width: 100%;
      display: flex;
      justify-content: space-between;
      align-items: stretch;

      .xc-button-text {
        font-size: 12px;
        font-weight: bold;
        letter-spacing: 0.75px;
        text-align: center;
        padding: 17px 20px 17px 20px;
      }

      .xc-button-icon-container {
        width: 46px;
        position: relative;
        border-radius: 15px;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #f4f6fe;

        &:before {
          content: "";
          position: absolute;
          width: 100%;
          height: 100%;
          border-radius: 15px;
          z-index: 0;
          opacity: 0.2;
          background: none;
        }

        .xc-button-icon {
          height: 28px;
          width: 28px;

          img {
            height: 100%;
            width: 100%;
          }
        }
      }
    }
  }
}

@media screen and (max-height: 700px) {
  .xc-button-container {
    button.xc-button {
      padding: 2px;

      .xc-button-wrapper {
        .xc-button-text {
          font-size: 10px;
          padding: 14px 17px 14px 17px;
        }

        .xc-button-icon-container {
          width: 42px;
          .xc-button-icon {
            height: 23px;
            width: 23px;
          }
        }
      }
    }
  }
}

@media screen and (min-height: 701px) and (max-height: 768px) {
  .xc-button-container {
    button.xc-button {
      padding: 2px;

      .xc-button-wrapper {
        .xc-button-text {
          font-size: 12px;
          padding: 14px 16px 14px 16px;
        }

        .xc-button-icon-container {
          width: 43px;
          .xc-button-icon {
            height: 24px;
            width: 24px;
          }
        }
      }
    }
  }
}
